import 'package:pshared/data/dto/money.dart';
import 'package:pshared/models/money.dart';


extension MoneyMapper on Money {
  MoneyDTO toDTO() => MoneyDTO(
    amount: amount,
    currency: currency,
  );
}

extension MoneyDTOMapper on MoneyDTO {
  Money toDomain() => Money(
    amount: amount,
    currency: currency,
  );
}
